<!DOCTYPE html>
<html>
<head>
  <title>Shipping Label <?php if($order): ?> - <?php echo e($order->order_number); ?> <?php endif; ?></title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  <style>
    .shipping-label {
      width: 300px;
      height: auto;
      border: 1px solid #000;
      padding: 10px;
      margin: 10px auto;
      box-shadow: 0 4px 8px rgba(0,0,0,0.1);
      border-radius: 5px;
      font-family: Arial, sans-serif;
    }
    .shipping-label h4 {
      margin-bottom: 5px;
      font-size: 16px;
    }
    .address, .order-details {
      font-size: 10px;
      line-height: 1.2;
    }
    .barcode {
      margin-top: 5px;
      text-align: center;
    }
    .divider {
      border-top: 1px solid #ccc;
      margin: 5px 0;
    }
    .invoice-header, .invoice-footer {
      text-align: center;
      margin-bottom: 5px;
    }
    .invoice-header img {
      max-width: 80px;
      margin-bottom: 5px;
    }
  </style>
</head>
<body>
<?php if($order): ?>
  <div class="shipping-label">
    
    <div class="invoice-description">
      <div class="address">
        <h6>To:</h6>
        <p>Name: <?php echo e($order->first_name); ?> <?php echo e($order->last_name); ?></p>
        <p>Phone: <?php echo e($order->phone); ?></p>
        <p>Email: <?php echo e($order->email); ?></p>
        <p>Address-1: <?php echo e($order->address1); ?> <?php if($order->address2): ?> OR <?php echo e($order->address2); ?> <?php endif; ?></p>
        
      </div>
      <div class="barcode" style="height: 50px; overflow: hidden;">
        <div style="transform: scale(0.5); transform-origin: 0 0;">
          <?php echo DNS1D::getBarcodeHTML($order->order_number, 'C39'); ?>

        </div>
        <p>Order: <?php echo e($order->order_number); ?></p>
      </div>

    </div>
    <div class="divider"></div>
    <div class="order-details">
      <h6>Order Details:</h6>
      <table class="table table-bordered table-sm">
        <thead>
          <tr>
            <th>Product</th>
            <th>Qty</th>
            <th>Total</th>
          </tr>
        </thead>
        <tbody>
        <?php $__currentLoopData = $order->cart_info; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cart): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
          <?php
            $product = DB::table('products')->select('title')->where('id', $cart->product_id)->get();
          ?>
          <tr>
            <td>
              <?php $__currentLoopData = $product; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pro): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php echo e($pro->title); ?>

              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </td>
            <td>x<?php echo e($cart->quantity); ?></td>
            <td>$<?php echo e(number_format($cart->price, 2)); ?></td>
          </tr>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
        <tfoot>
          <tr>
            <td colspan="2" class="text-right">Subtotal:</td>
            <td>$<?php echo e(number_format($order->sub_total, 2)); ?></td>
          </tr>
          <tr>
            <td colspan="2" class="text-right">Shipping:</td>
            <td>$<?php echo e(number_format($order->delivery_fee, 2)); ?></td>
          </tr>
          <tr>
            <td colspan="2" class="text-right">Total:</td>
            <td>$<?php echo e(number_format($order->total_amount, 2)); ?></td>
          </tr>
        </tfoot>
      </table>
    </div>
    <div class="invoice-footer">
      <h4>Thank you for your business!</h4>
    </div>
  </div>
<?php else: ?>
  <h5 class="text-danger">Invalid Order</h5>
<?php endif; ?>
</body>
</html>
<?php /**PATH /home/galaxyst/public_html/instaekart.galaxystars.xyz/resources/views/backend/order/shipping-label.blade.php ENDPATH**/ ?>